package testutil

import (
	"context"
)

// MockLocalizationRepository is a mock implementation of the localization repository.
type MockLocalizationRepository struct{}

func (m *MockLocalizationRepository) GetTranslation(ctx context.Context, key string, language string) (string, error) {
	return "Test translation", nil
}

func (m *MockLocalizationRepository) GetTranslations(ctx context.Context, keys []string, language string) (map[string]string, error) {
	results := make(map[string]string)
	for _, key := range keys {
		results[key] = "Test translation for " + key
	}
	return results, nil
}

// GetAuthorBiography is a mock implementation of the GetAuthorBiography method.
func (m *MockLocalizationRepository) GetAuthorBiography(ctx context.Context, authorID uint, language string) (string, error) {
	return "This is a mock biography.", nil
}